[ Maverik Level 1 typedefs ]

#

MAV_SMSObj

## Summary

SMS object list

## Syntax

    typedef struct {
      MAV_SMS *sms;
      MAV_object *selobj;
      MAV_matrix matrix;
      void *userdef;
    } MAV_SMSObj;

## Description

An SMS object contains an SMS, `sms`, of objects which are first transformed by a common transformation matrix, `matrix`, before being transformed by their individual transformation matrix. Objects can be freely added to and removed from the SMS using the usual functions for manipulating SMS's.

An SMS object can be added as an object to any other SMS object, enabling hierarchical structures to be constructed.

If this object is selected via the usual mechanism then `selobj` holds a pointer to the selected sub-object.

Back to the index page.